Bug 42950 - Application compiled with RH6.2 libncurses.4.so will not run on RH7.1.
Application compiled with RH6.2 libncurses.4.so will not run on RH7.1.
Product: Red Hat Linux
Classification: Retired
Component: ncurses (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-05-30 18:26 EDT by Need Real Name
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-05-30 18:26:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-05-30 18:26:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.72 [en] (X11; U; Linux 2.2.14-5.0 i586)

Description of problem:
Application (Linux General Ledger) is compiled with RH6.2 and
libncurses.4.  When attempting to run under 7.1 you must first copy
libncurses.5.so to libncurses.4.so, if libncurses.4.so is not already
installed.  This problem has not been noted with other distributions.

How reproducible:

Steps to Reproduce:
1. Compile a C/C++ program including curses code under 6.2 using -lncurses.
2.Try to run binary under 7.1.
3. You may also download the Linux General Ledger demo version from
www.linuxledgers.com (free) and try to run it rather than write your own
curses code.

Additional info:
Comment 1 Bernhard Rosenkraenzer 2001-05-31 03:29:14 EDT
Install the ncurses4 compat package.
Symlinking/copying libncurses.so.5 to libncurses.so.4 will work in many cases, 
but segfault in some others: There are binary incompatibilities in some very 
rarely used functions.

Note You need to log in before you can comment on or make changes to this bug.